Skip to main content
GET
Get organization by ID

Authorizations

Authorization
string
header
required

API key authorization. Pass your API key in the Authorization header as a Bearer token. Both new (gsk_*) and legacy (gsk-) API keys are accepted, e.g. Authorization: Bearer gsk_... or Authorization: Bearer gsk-....

Path Parameters

id
string
required

Organization ID

Response

Organization retrieved successfully

id
string
Example:

"org_123"

name
string
Example:

"Example Organization"

remainingSubscriptionCredits
integer | null
Example:

1000

extraCredits
integer
Example:

500

lastWarningAt
string<date-time> | null
warningAt
integer | null
stripeCustomerId
string | null
Example:

"cus_123"

samlEntrypointUrl
string | null
samlEntityId
string | null
samlIssuerId
string | null
samlPublicCertificate
string | null
samlSignedResponse
boolean | null
samlSignedAssertions
boolean | null
samlTeamSlug
string | null
enforceMfa
boolean
default:false

When true, every member of the organization must complete an MFA challenge to sign in. Settable by Owners (via update) and Admins (via create or update).

createdAt
string<date-time>
deletedAt
string<date-time> | null